Package org.eclipse.handly.ui.outline

# Class OutlineContribution

java.lang.Object
org.eclipse.handly.ui.outline.OutlineContribution

All Implemented Interfaces:
  `IOutlineContribution`

Direct Known Subclasses:
  `EditorInputListenerContribution`, `ElementChangeListenerContribution`, `LinkWithEditorContribution`, `OutlineActionContribution`, `OutlineContextMenuContribution`, `OutlineDragAndDropContribution`, `OutlineFilterContribution`, `OutlineSorterContribution`, `ResourceChangeListenerContribution`

public class OutlineContribution extends Object implements IOutlineContribution
A basic implementation of `IOutlineContribution`. Keeps reference to the contribution's outline page. This class is intended to be extended by clients.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OutlineContribution()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `dispose()`
  Disposes of this contribution.
  `final ICommonOutlinePage`
  `getOutlinePage()`
  Returns this contribution's outline page.
  `void`
  `init(ICommonOutlinePage outlinePage)`
  Initializes this contribution.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OutlineContribution

    public OutlineContribution()

- ## Method Details

  - ### getOutlinePage

    public final ICommonOutlinePage getOutlinePage()
    Returns this contribution's outline page.
    Returns:
      the outline page of this contribution, or `null` if this contribution has not been `initialized`

  - ### init

    public void init(ICommonOutlinePage outlinePage)
    Initializes this contribution. This method is called after the outline page's tree viewer has been created.

    This method may be extended by subclasses. Subclasses must call the superclass implementation.

    Specified by:
      `init` in interface `IOutlineContribution`
    Parameters:
      `outlinePage` - the contribution's outline page (never `null`)

  - ### dispose

    public void dispose()
    Disposes of this contribution. Implementors should clean up any resources associated with this contribution. Note that there is no guarantee that `init()` has been called. This method has no effect if this contribution has already been disposed.

    This method may be extended by subclasses. Subclasses must call the superclass implementation.

    Specified by:
      `dispose` in interface `IOutlineContribution`